Subject: Re: [Lsr] AD review of draft-ietf-lsr-yang-isis-reverse-metric-03

From: Christian Hopps <[email-masked]>
Date: Sun, 24 Oct 2021 15:38:33 -0400

John Scudder <[email-masked]> writes:

> Dear Chris,
>
> Here’s my review of this document. I only have a few nits, that should be easily addressed.

Thanks for the review. The new version incorporates your suggested changes.

https://datatracker.ietf.org/doc/draft-ietf-lsr-yang-isis-reverse-metric/

The ISO reference is actually wrong in the xml2rfc database (check out https://xml2rfc.tools.ietf.org/public/rfc/bibxml-misc/reference.ISO.10589.1992.xml), so I just used my own data, and updated to 2002 version as well.

> I’ve supplied my comments in the form of an edited copy of the draft. You can use your favorite diff tool to review them; I’ve attached a PDF of the rfcdiff output for your convenience if you’d like to use it. I’ve also pasted a traditional diff below in case you want to use it for in-line reply. I’d appreciate feedback regarding whether you found this a useful way to receive my comments as compared to a more traditional numbered list of comments with selective quotation from the draft.

I found the text diff a very useful format -- much more useful than traditional format. I use org mode to author drafts (https://github.com/choppsv1/org-rfc-export), and loading the diff side-by-side with the org source was very easy to work with.

Thanks!
Chris.

> Thanks,
>
> —John
>
> *** draft-ietf-lsr-yang-isis-reverse-metric-03.txt	2021-09-30 16:17:59.000000000 -0400
> --- draft-ietf-lsr-yang-isis-reverse-metric-03-jgs-markup.txt	2021-09-30 16:29:43.000000000 -0400
> ***************
> *** 17,22 ****
> --- 17,30 ----
>      extension to the the intermediate system to intermediate system
>      routeing protocol.
>
> + While of course I have to concede that the formal name of the protocol
> + is as written, weird lower-case, quirky spelling, and all, it still
> + reads funny to me. I note that other IS-IS RFCs don't use this
> + convention, for example RFC 8500 uses "IS-IS" as the name of the
> + protocol in its own abstract. Do as you prefer, but if you keep the
> + existing text, could you please at least add "(IS-IS)" at the end?
> + Thanks.
> +
>   Status of This Memo
>
>      This Internet-Draft is submitted in full conformance with the
> ***************
> *** 258,263 ****
> --- 266,279 ----
>                  neighbor to increment the overall metric up to 2^24-1 rather
>                  than the lesser maximum of 2^24-2, and if done will cause
>                  traffic to stop using rather than avoid using the interface.";
> +
> + "And if done" is ambiguous and not quite accurate (just setting the bit
> + doesn't force the metric to 2^24-1, it only allows the sum to go that
> + high, right?). Consider something like the following? "... rather than
> + the lesser maximum of 2^24-2. If the metric becomes 2^24-1, this will
> + cause traffic to stop using the interface altogether, rather than
> + tending to avoid it as it would with a metric of 2^24-2."
> +
>              reference "RFC8500, Section 2";
>            }
>          }
> ***************
> *** 430,436 ****
>
>      The YANG module defined in this document can enable, disable and
>      modify the behavior of metrics used by routing.  For the security
> !    implications regarding these types of changes consult the [RFC8500]
>      which defines the functionality.
>
>      There are a number of data nodes defined in this YANG module that are
> --- 446,452 ----
>
>      The YANG module defined in this document can enable, disable and
>      modify the behavior of metrics used by routing.  For the security
> !    implications regarding these types of changes consult [RFC8500]
>      which defines the functionality.
>
>      There are a number of data nodes defined in this YANG module that are
> ***************
> *** 492,498 ****
>      nodes and their sensitivity/vulnerability:
>
>      All nodes are under the following subtree, so that prefix will be
> !    assume for each node description.
>
>
>
> --- 508,514 ----
>      nodes and their sensitivity/vulnerability:
>
>      All nodes are under the following subtree, so that prefix will be
> !    assumed for each node description.
>
>
>
> ***************
> *** 528,534 ****
>
>      [ISO10589] International Organization for Standardization,
>                 "Intermediate system to intermediate system intra-domain-
> !               routing routine information exchange protocol for use in
>                 conjunction with the protocol for providing the
>                 connectionless-mode Network Service (ISO 8473)",
>                 ISO Standard 10589, 1992.
> --- 544,550 ----
>
>      [ISO10589] International Organization for Standardization,
>                 "Intermediate system to intermediate system intra-domain-
> !               routeing routine information exchange protocol for use in
>                 conjunction with the protocol for providing the
>                 connectionless-mode Network Service (ISO 8473)",
>                 ISO Standard 10589, 1992.
>
>
> [2. draft-ietf-lsr-yang-isis-reverse-metric-03-jgs-markup.txt --- text/plain; draft-ietf-lsr-yang-isis-reverse-metric-03-jgs-markup.txt]...
>
> [3. Diff- draft-ietf-lsr-yang-isis-reverse-metric-03.txt - draft-ietf-lsr-yang-isis-reverse-metric-03-jgs-markup.txt.pdf --- application/pdf; Diff- draft-ietf-lsr-yang-isis-reverse-metric-03.txt - draft-ietf-lsr-yang-isis-reverse-metric-03-jgs-markup.txt.pdf]...